Name: floppy-support          
Version:        1.0.0
Release:        5%{?dist}
Summary:        Load floppy driver at boot time
Group: System Environment/Kernel


License:        MIT
# The package is built just using this specfile.
#URL:            
#Source0:        

Requires: systemd
Requires(post): module-init-tools

BuildArch:      noarch

%description
By default the floppy driver is not loaded at boot time. Installing this
package will load the floppy driver as part of the install and will set
things so that it will be loaded during future boots.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
# Note that the modules-load.d man page states that packages should install
# files in /usr/lib/modules-load.d and that /etc/modules-load.d is
# reserved for local administration.
mkdir -p $RPM_BUILD_ROOT%{_libdir}/../lib/modules-load.d
echo floppy > $RPM_BUILD_ROOT%{_libdir}/../lib/modules-load.d/floppy.conf


%files
%{_libdir}/../lib/modules-load.d/floppy.conf

%post
/sbin/modprobe floppy

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 28 2012 Bruno Wolff III <bruno@wolff.to> 1.0.0-4
- Do another build without the messed up changelog

* Tue Aug 28 2012 Bruno Wolff III <bruno@wolff.to> 1.0.0-3
- Fix up some things mentioned in the review.
- Require systemd to make sure the modules-load.d directory exists.
- Use %%build even though nothing is built as it can have side effects.

* Mon Sep 05 2011 Bruno Wolff III <bruno@wolff.to> 1.0.0-2
- Use %%{_libdir}/../lib/ instead of %%{_libdir} to avoid arch issues.

* Tue Aug 30 2011 Bruno Wolff III <bruno@wolff.to> 1.0.0-1
- Initial package creation
